<section class="signup-section-container">
    
    <section class="signup-form-section">
      <h4 class=''>Thanks For Choosing ECB. Please create your account by filling the below form..</h4>  
      <h4 class='error-message'>{{errorMessage}}</h4>  
      <form action="" class="signup-form" [formGroup]="signUpForm" (ngSubmit)="signupCustomer()" >
        
        <mat-form-field>
              <mat-icon matPrefix>person</mat-icon>
            <input type="text" matInput placeholder="Enter Name" formControlName="name">
            <mat-error *ngIf="signUpForm.get('name')?.touched && signUpForm.get('name')?.hasError('required')">Name is Required</mat-error>
            <mat-error *ngIf="signUpForm.get('name')?.touched && signUpForm.get('name')?.hasError('minlength')">Name must be min 5 characters</mat-error>
          </mat-form-field>

      <mat-form-field>
          <mat-icon matPrefix>email</mat-icon>
        <input type="email" matInput placeholder="Enter E-mail" formControlName="email">
        <mat-error *ngIf="signUpForm.get('email')?.touched && signUpForm.get('email')?.hasError('required')">E-mail is Required</mat-error>
        <mat-error *ngIf="signUpForm.get('email')?.touched && signUpForm.get('email')?.hasError('email')">Invalid E-mail</mat-error>
      </mat-form-field>
      <span class="email-exists">{{ emailAlreadyExistsErrorMessage }}</span>
      
      <mat-form-field>
          <mat-icon matPrefix>lock</mat-icon>
        <input type="password" matInput placeholder="Enter Password" formControlName="password">
        <mat-error *ngIf="signUpForm.get('password')?.touched && signUpForm.get('password')?.hasError('required')">Password is Required</mat-error>
        <mat-error *ngIf="signUpForm.get('password')?.touched && signUpForm.get('password')?.hasError('minlength')">Passwrod must be min 6 characters</mat-error>
      </mat-form-field>      
      
      

      <mat-form-field>
          <mat-icon matPrefix>contact_phone</mat-icon>
        <input type="tel" matInput placeholder="Enter ContactNo" formControlName="contactNo" >
        <mat-error *ngIf="signUpForm.get('contactNo')?.touched && signUpForm.get('contactNo')?.hasError('required')">ContactNo is Required</mat-error>
        <mat-error *ngIf="signUpForm.get('contactNo')?.touched && signUpForm.get('contactNo')?.hasError('minlength')">ContactNo must be min 6 characters</mat-error>
      </mat-form-field>

      <div>       
        <mat-icon matPrefix>person</mat-icon>
        <mat-radio-group formControlName="gender">
          <mat-radio-button value="M" class="gender-male">Male</mat-radio-button>
          <mat-radio-button value="F">Female</mat-radio-button>
        </mat-radio-group>
        <mat-error *ngIf="signUpForm.get('gender')?.touched && signUpForm.get('gender')?.hasError('required')">Gender is Required</mat-error>
      </div>

      <mat-form-field>
        <mat-icon matPrefix>event_available</mat-icon>
      <input type="number" matInput placeholder="Enter Age" formControlName="age" >
      <mat-error *ngIf="signUpForm.get('age')?.touched && signUpForm.get('age')?.hasError('required')">Age is Required</mat-error>
      <mat-error *ngIf="signUpForm.get('age')?.touched && signUpForm.get('age')?.hasError('min')">Age must be between 18-55 years</mat-error>
      <mat-error *ngIf="signUpForm.get('age')?.touched && signUpForm.get('age')?.hasError('max')">Age must be between 18-55 years</mat-error>
    </mat-form-field>
      
    <mat-form-field>
        <mat-icon matPrefix>photo</mat-icon>
      <input type="text" matInput placeholder="Enter Profile Pic URL" formControlName="profilePicUrl">
      <mat-error *ngIf="signUpForm.get('profilePicUrl')?.touched && signUpForm.get('profilePicUrl')?.hasError('required')">Profile Pic URL is Required</mat-error>
      <mat-error *ngIf="signUpForm.get('profilePicUrl')?.touched && signUpForm.get('profilePicUrl')?.hasError('minlength')">Profile Pic must be min 5 characters</mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-icon matPrefix>account_balance</mat-icon>
      <input type="text" matInput placeholder="Enter Company Name" formControlName="company">
      <mat-error *ngIf="signUpForm.get('company')?.touched && signUpForm.get('company')?.hasError('required')">Company is Required</mat-error>
      <mat-error *ngIf="signUpForm.get('company')?.touched && signUpForm.get('company')?.hasError('minlength')">Company must be min 5 characters</mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-icon matPrefix>accessible</mat-icon>
      <input type="text" matInput placeholder="Enter Designation" formControlName="designation">
      <mat-error *ngIf="signUpForm.get('designation')?.touched && signUpForm.get('designation')?.hasError('required')">Designation is Required</mat-error>
      <mat-error *ngIf="signUpForm.get('designation')?.touched && signUpForm.get('designation')?.hasError('minlength')">Designation must be min 5 characters</mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-icon matPrefix>monetization_on</mat-icon>
      <input type="number" matInput placeholder="Enter Salary" formControlName="monthlySalary" >
      <mat-error *ngIf="signUpForm.get('monthlySalary')?.touched && signUpForm.get('monthlySalary')?.hasError('required')">Monthly Salary is required</mat-error>
      <mat-error *ngIf="signUpForm.get('monthlySalary')?.touched && signUpForm.get('monthlySalary')?.hasError('min')">Monthly Salary must be min $1000</mat-error>
      <mat-error *ngIf="signUpForm.get('monthlySalary')?.touched && signUpForm.get('monthlySalary')?.hasError('max')">Monthly Salary must be max $100000</mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-icon matPrefix>thumb_up</mat-icon>
      <input type="number" matInput placeholder="Enter Credit Score" formControlName="creditScore" >
      <mat-error *ngIf="signUpForm.get('creditScore')?.touched && signUpForm.get('creditScore')?.hasError('required')">Credit Score is required</mat-error>
      <mat-error *ngIf="signUpForm.get('creditScore')?.touched && signUpForm.get('creditScore')?.hasError('min')">Credit Score must be min 100</mat-error>
      <mat-error *ngIf="signUpForm.get('creditScore')?.touched && signUpForm.get('creditScore')?.hasError('max')">Credit Score must be max 1000</mat-error>
    </mat-form-field>

    <!-- <mat-checkbox  formControlName="termsAndConditions" class="terms-conditions">I agree to the <a href="https://www.google.com" target="_blank">terms & conditions</a></mat-checkbox> -->
      
      <button mat-raised-button color="warn" [disabled]="signUpForm.invalid || emailExists" class="cursor-pointer">
          
        {{ signupButtonText }}
      </button>
      
    </form>
  </section>
  
